Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 309941

Summary: make.conf(5) does not mention the source keyword
Product: Portage Development Reporter: John Feuerstein <john>
Component: DocumentationAssignee: Portage team <dev-portage>
Status: RESOLVED FIXED    
Severity: trivial CC: bernalex, binki, d
Priority: High Keywords: InVCS
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 472632    
Attachments: [PATCH] Fixes the bug

Description John Feuerstein 2010-03-17 13:37:56 UTC
The manpage of make.conf(5) does not mention the "source" keyword, which may be used to include other files into /etc/make.conf.

After some trial and error trying to understand the pseudo-sh syntax used for make.conf, I found out that Python's shlex module is used. The shlex.source keyword is set so "source", but it's undocumented.

Some layman howtos mention it, but it would be great to have it in man make.conf(5).

Thanks.

Reproducible: Always

Steps to Reproduce:
Comment 1 Zac Medico gentoo-dev 2010-03-19 04:06:27 UTC
We should also mention that variable substitution is supported.
Comment 2 Dan Douglas 2011-12-03 23:08:30 UTC
The description in make.conf(5) says only that the file contains "various variables". It's not obvious that make.conf isn't a shell script if a new user has only read the handbook. The manpage should say something along the lines of:

"make.conf contains a newline-delimited list of <key>=<value> pairs which are accessible from the environment of ebuilds, /etc/portage/bashrc, etc, and supports a simple shell-like expansion of the form var="${var}", but doesn't support Bashisms like arrays or special parameter expansions."
Comment 3 Dan Douglas 2011-12-03 23:13:40 UTC
Also maybe direct them to the Python shlex docs for more details. It mentions for instance that comments can be processed by shlex.split()
Comment 4 Alexander Berntsen (RETIRED) gentoo-dev 2013-08-11 21:33:23 UTC
Created attachment 355718 [details, diff]
[PATCH] Fixes the bug
Comment 5 Zac Medico gentoo-dev 2013-08-11 22:31:35 UTC
(In reply to Alexander Berntsen from comment #4)
> Created attachment 355718 [details, diff] [details, diff]
> [PATCH] Fixes the bug

Thanks, this is in git:

http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;h=ff54f5db6658c0bfecc7fe365d383c5879f20221
Comment 6 Zac Medico gentoo-dev 2013-08-13 00:00:49 UTC
This is fixed in 2.2.0.